<?php
/*
Plugin Name: Custom Post Types
Description: All the custom post types - by IceOnly2
*/

/*
 * Define Case Studies CPT
*/

add_action( 'init', 'register_cpt_technik' );
add_action( 'init', 'register_cpt_technik_tax', 0 );

function register_cpt_technik() {

    $labels = array( 
        'name' => _x( 'Technik', 'technik' ),
        'singular_name' => _x( 'Technik', 'technik' ),
        'add_new' => _x( 'Add New', 'technik' ),
        'add_new_item' => _x( 'Add New Item', 'technik' ),
        'edit_item' => _x( 'Edit Item', 'technik' ),
        'new_item' => _x( 'New Item', 'technik' ),
        'view_item' => _x( 'View Item', 'technik' ),
        'search_items' => _x( 'Search Item', 'technik' ),
        'not_found' => _x( 'No item found', 'technik' ),
        'not_found_in_trash' => _x( 'No item found in Trash', 'technik' ),
        'parent_item_colon' => _x( 'Parent Item:', 'technik' ),
        'menu_name' => _x( 'Technik Beiträge', 'technik' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => false,
        'description' => 'Technik',
        'supports' => array( 'title', 'editor', 'excerpt', 'thumbnail', 'revisions' ),
        'taxonomies' => array( 'technik-category' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,        
        'show_in_nav_menus' => false,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
		'rewrite' => array('slug' => 'technik'), // removes the /blog prefix set in permalink structure
        'capability_type' => 'post'
    );

    register_post_type( 'technik', $args );
}

/*
 * Define Case Studies CPT Taxonomy
*/

function register_cpt_technik_tax()  {
	$labels = array(
		'name'                       => _x( 'Categories', 'Taxonomy General Name' ),
		'singular_name'              => _x( 'Category', 'Taxonomy Singular Name' ),
		'menu_name'                  => __( 'Categories' ),
		'all_items'                  => __( 'All Categories' ),
		'parent_item'                => __( 'Parent Category' ),
		'parent_item_colon'          => __( 'Parent Category:' ),
		'new_item_name'              => __( 'New Category Name' ),
		'add_new_item'               => __( 'Add New Category' ),
		'edit_item'                  => __( 'Edit Category' ),
		'update_item'                => __( 'Update Category' ),
		'separate_items_with_commas' => __( 'Separate categories with commas' ),
		'search_items'               => __( 'Search categories' ),
		'add_or_remove_items'        => __( 'Add or remove categories' ),
		'choose_from_most_used'      => __( 'Choose from the most used categories' ),
	);

	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => false,
		'rewrite' => array('slug' => 'technik')
	);

	register_taxonomy( 'technik-category', 'technik', $args );
}


